summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-13 18:14:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-13 18:14:19 +0000
commitc9c9889ca4ff621b60d0bd4841c169b1ed01a140 (patch)
tree0d2defba9af025c037b7b392dfa6cfd318268dfa /dev-python
parent4931b2e2ef95a4112ed21c0d67d5cbf47bc5cfc7 (diff)
downloadbaldeagleos-repo-c9c9889ca4ff621b60d0bd4841c169b1ed01a140.tar.gz
baldeagleos-repo-c9c9889ca4ff621b60d0bd4841c169b1ed01a140.tar.xz
baldeagleos-repo-c9c9889ca4ff621b60d0bd4841c169b1ed01a140.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-19.1.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.78.1.ebuild64
-rw-r--r--dev-python/cython/Manifest1
-rw-r--r--dev-python/cython/cython-3.0.0_rc2.ebuild84
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.41.0.ebuild67
-rw-r--r--dev-python/frozenlist/Manifest1
-rw-r--r--dev-python/frozenlist/frozenlist-1.4.0.ebuild45
-rw-r--r--dev-python/jaraco-itertools/Manifest1
-rw-r--r--dev-python/jaraco-itertools/jaraco-itertools-6.4.1.ebuild31
-rw-r--r--dev-python/jaraco-itertools/metadata.xml1
-rw-r--r--dev-python/jsonschema/Manifest1
-rw-r--r--dev-python/jsonschema/jsonschema-4.18.2.ebuild54
-rw-r--r--dev-python/lxml/Manifest2
-rw-r--r--dev-python/pdm-backend/Manifest1
-rw-r--r--dev-python/pdm-backend/pdm-backend-2.1.4.ebuild71
-rw-r--r--dev-python/pytest-asyncio/Manifest1
-rw-r--r--dev-python/pytest-asyncio/pytest-asyncio-0.21.1.ebuild48
-rw-r--r--dev-python/rapidfuzz/rapidfuzz-3.0.0-r1.ebuild (renamed from dev-python/rapidfuzz/rapidfuzz-3.0.0.ebuild)1
-rw-r--r--dev-python/trio/Manifest1
-rw-r--r--dev-python/trio/trio-0.22.2.ebuild74
-rw-r--r--dev-python/zipp/Manifest1
-rw-r--r--dev-python/zipp/zipp-3.16.1.ebuild52
25 files changed, 637 insertions, 2 deletions
diff --git a/dev-python/Faker/Faker-19.1.0.ebuild b/dev-python/Faker/Faker-19.1.0.ebuild
new file mode 100644
index 000000000000..9fd3af59256e
--- /dev/null
+++ b/dev-python/Faker/Faker-19.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index b3deacb81430..c4e4adcc9f94 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,4 @@
DIST Faker-18.11.2.tar.gz 1670644 BLAKE2B 0496e9d2169932fd158b8eb62693d1c7f833c00c93fa75b35d747bec1a9e81247977b307faef6cb2526c0042716b080b160fc93cf8d9543a1e2bb3a477f815e6 SHA512 9b54485836d8e4cf66c0ebc9807770f77867a9ab634bc5a465811fe0c2d79c0ec1ab5360bb5f69e9f603026094b4c969a4ad1b98c0c6b21e7fb740d5a17af5b8
DIST Faker-18.13.0.tar.gz 1672316 BLAKE2B c7b3a040276508c8d08c184e90dfd054d62ef635299e637476fedf0d3e01d0e311bd855c4df39dd449244c07c71a1fe216063c07a3abef69f8ec8fa967124769 SHA512 b5cd907d962f39d15001d0218993dd6b4f65ac6252fcb1c72bbb2905a585ad26d0f7c6807cef43b41ce430122fe4730d26f57f119bc3547a432d133e87d98beb
DIST Faker-19.0.0.tar.gz 1673020 BLAKE2B f3be24f29eb870535034afdecd57d0172b8cbc4f9228796373eab9f5be3211d39134d94f9c3543a0387579a5ed7d0434b9eede12b824b93652ee4b2d964f5835 SHA512 fdc3d0618dae04fa1f4fc3ce8d10a353d8272059c557729e93891e59c85b0c03e11009febfd5d500ab5425b6ba4446c9df72f84bc1f632c0cec76a761bd8c9f2
+DIST Faker-19.1.0.tar.gz 1673101 BLAKE2B 92349e38c72fc85fcb0711555645ca3745015df485ba3e366000e71d620f14bad18b1b26fe5e456e18269ba867daf0ba42779623afbc96e5f64fb0537c842d9b SHA512 4fa11f479e78ac4835f00f17ce99aebf17d88e626548094f122dccb78f6caddde8cd058f33f2dc304725049e75e9f1c42b549ff139ed0d9d798bbb630bb1e80a
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 79a55f22030a..032aee244173 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1 +1,2 @@
DIST cfn-lint-0.77.10.tar.gz 3488571 BLAKE2B 6b828c760bf93f1d31fe7d24d76cea63c91ed3f73837382898c4f60aea30d667b28065e4004a6fe62bee04141baa1b3baf576f30af4c823f7980d48c97e2602b SHA512 e5ca37620d33d199295d43d81c7390e181281418681fedbaaedca01a1128b8680451fba5ce429875c2242fefad8cfd234bb919fe948bbf9cdc442bb064d84972
+DIST cfn-lint-0.78.1.tar.gz 3507466 BLAKE2B 2f22cd8241eec3a26a191fc12e6e4781513e45b5ee7540d3e59d6a1f9780142ce114d3ee2ea8e05b5425a2b111dd706447045961d05e7bb3b873eb837dc98a38 SHA512 5862c3efc51e274754a5d7eba9c53a16c87933eaadc0cc8fbb2f211c07040d24d828d30922870e02bdf0758ec4417426d827ab76840332775d765714a67a3850
diff --git a/dev-python/cfn-lint/cfn-lint-0.78.1.ebuild b/dev-python/cfn-lint/cfn-lint-0.78.1.ebuild
new file mode 100644
index 000000000000..600931bea7fb
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.78.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.70.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -e '/jsonschema/s:,<4.18::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/cython/Manifest b/dev-python/cython/Manifest
index 93c951c79044..2678fda9c144 100644
--- a/dev-python/cython/Manifest
+++ b/dev-python/cython/Manifest
@@ -2,3 +2,4 @@ DIST cython-0.29.34.gh.tar.gz 2114639 BLAKE2B c5f70fd3e6074d9030a1035bc98d71b703
DIST cython-0.29.35.gh.tar.gz 2115190 BLAKE2B ac23abbd2b560ee52a79840d995a4cf36ddb3a8705b9327010f1ad6add8028185c15703efcc1d59b581d65b5de38e123c0f07c36fe6ffe54a6efee7512161344 SHA512 35d679d94e1f731e004b83fb4ae0d569703b0800c913012308146b1c54463ce12cb1cf3733e24162fb357f179444c5ca31108a37850e6c749ddebac5175119f5
DIST cython-0.29.36.gh.tar.gz 2115333 BLAKE2B 6d43779c7222ff65d7de3a35ec18ef636480807d53480a8f94cc8c92d462fcc2f4d201a3bbf6e840a11fd33025e32c53f85626b05c131d10eed2859cdca7eb2d SHA512 a086fe1a11290cd3c870b891e61a0a0e2595bab9c26888024a758b6950c07059346d682fa9349e46c0af89805abbdd750059b3189960b8ce18007dfb5eb4391a
DIST cython-3.0.0b3.gh.tar.gz 2688784 BLAKE2B 933bb48b2bf5169c973a36c877a36eae28b80409a7ff395b82a14ac0740247496df3c9f2d69884c823b7475069f0c75d6cbbb964b88de60b38082e6e36659bff SHA512 f1d0fdcec4bc6b0f6cb66078592424fdcb7a028b79c5b9d41280ae112235736d11c9f4f793e810007e880ae0def195ac25999db59065c7f7bdcfab84b06bf7d3
+DIST cython-3.0.0rc2.gh.tar.gz 2713358 BLAKE2B 5d1e1043e0785c4e79441e47ab6d03b7dbdff8728946707acd39452c1a20e3527e3142bbf09d140d28e233ef0ae0e870650f5f77a8d2a1d084199b5b39937463 SHA512 42ff1b3f2509c90be6007b9156454ae89c1be26a9dde6ca9c109b0cfa3de30797eeeffef38ea1bfe37a9c8e062c776c8cb755826f8c25aa7c9703fbb031bf643
diff --git a/dev-python/cython/cython-3.0.0_rc2.ebuild b/dev-python/cython/cython-3.0.0_rc2.ebuild
new file mode 100644
index 000000000000..18b534c59383
--- /dev/null
+++ b/dev-python/cython/cython-3.0.0_rc2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{7,8,9,10,11} )
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 multiprocessing toolchain-funcs
+
+MY_P=${P/_rc/rc}
+DESCRIPTION="A Python to C compiler"
+HOMEPAGE="
+ https://cython.org/
+ https://github.com/cython/cython/
+ https://pypi.org/project/Cython/
+"
+SRC_URI="
+ https://github.com/cython/cython/archive/${PV/_rc/rc}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' python3_{10..11})
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.29.22-spawn-multiprocessing.patch"
+ "${FILESDIR}/${PN}-0.29.23-test_exceptions-py310.patch"
+ "${FILESDIR}/${PN}-0.29.23-pythran-parallel-install.patch"
+)
+
+distutils_enable_sphinx docs \
+ dev-python/jinja \
+ dev-python/sphinx-issues \
+ dev-python/sphinx-tabs
+
+python_compile() {
+ # Python gets confused when it is in sys.path before build.
+ local -x PYTHONPATH=
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ if ! has "${EPYTHON/./_}" "${PYTHON_TESTED[@]}"; then
+ einfo "Skipping tests on ${EPYTHON} (xfail)"
+ return
+ fi
+
+ # Needed to avoid confusing cache tests
+ unset CYTHON_FORCE_REGEN
+
+ tc-export CC
+ # https://github.com/cython/cython/issues/1911
+ local -x CFLAGS="${CFLAGS} -fno-strict-overflow"
+ "${PYTHON}" runtests.py \
+ -vv \
+ -j "$(makeopts_jobs)" \
+ --work-dir "${BUILD_DIR}"/tests \
+ --no-examples \
+ --no-code-style \
+ || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( CHANGES.rst README.rst ToDo.txt USAGE.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index ba6eddb89607..849b852bc952 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,2 +1,3 @@
DIST fonttools-4.39.4.gh.tar.gz 3710610 BLAKE2B f4d75ae71c7b8ec752eee3820129719583072c8e1e68d54b3443c192e7c6732e7db7adfaec32145b87eccd23b1720a748e70682d58a1628d93f89890d3ddc274 SHA512 4be7c19022ccfbb182edb7d80ec50ff2aa91eae3dd4328c1023e65a293e079edd4c1ae0a8b2260e35fa940417e7b03dc96bd7a6d6ec4234bc4c4257187b24758
DIST fonttools-4.40.0.gh.tar.gz 3726926 BLAKE2B c14cf10baeca50f6a70dc210de40f46b24effa66efdaded0a2706539af659b7fea276064b352fbe2f412028912658dc3f215409c3975bd773a7bd789986a65a1 SHA512 03daecfb2c48e13f22255872dd9dca47aaca9fc71139f2d5876cdb74fa8560d697344845d870742da00d3734043e36f143efe5d2048b884a5f7ed924435aa2f0
+DIST fonttools-4.41.0.gh.tar.gz 3754276 BLAKE2B dc1ee8415d6829d467d584280c1d9a90c3355cac159db43f14123ea0d71271465bdac1e891a640040ccc72a7ffa2f9e484dfaccc9ce7930f7dad28322f7b435c SHA512 9f8478c68f187258fc8377d6313d0d72231dce8725a09b43b3bfb2ba844f2c11e9396cd4627f21450362566fe4649e66f09d3e2230e509d8e347c978e876f8d9
diff --git a/dev-python/fonttools/fonttools-4.41.0.ebuild b/dev-python/fonttools/fonttools-4.41.0.ebuild
new file mode 100644
index 000000000000..8ebccb763a7a
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.41.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="
+ https://github.com/fonttools/fonttools/
+ https://pypi.org/project/fonttools/
+"
+SRC_URI="
+ https://github.com/fonttools/fonttools/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ export FONTTOOLS_WITH_CYTHON=1
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ epytest Tests fontTools || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/frozenlist/Manifest b/dev-python/frozenlist/Manifest
index 42dc24a4869d..e914f7657e33 100644
--- a/dev-python/frozenlist/Manifest
+++ b/dev-python/frozenlist/Manifest
@@ -1 +1,2 @@
DIST frozenlist-1.3.3.gh.tar.gz 27742 BLAKE2B cf0dcd2ed0e22cb7fa3d57a73177e53cace8e6301c462ab56544678f1f78f113ac3ad9ffb68dafb3ae957a1e52e2069dcec76b5adc27284587d614bbb6a8c139 SHA512 8f416996c18d352912e88dad6b503cb1e5ce566d69e97aad8d7eedc6415316e8c9e63eb2c341c5d2409ebf90fd58153ce642d5d88f277435bc6e5a4f1ce8b949
+DIST frozenlist-1.4.0.gh.tar.gz 29063 BLAKE2B ec33639c22448da84fda9eaa83a78737f20579061e0ae05699a361ac9a8646df0ebf5c31df69cd7c4ee1c1c7fc0e28d0f6050a1879c3d28bf83e2caf442eb2a3 SHA512 937f7684df3879596903b5ce2d9a38590383a7c319e3079bbd8fdcbea169c692d9feabac0a7e0646d334ec517a86f7d943e0b0107fd925203de1cc8029b252ba
diff --git a/dev-python/frozenlist/frozenlist-1.4.0.ebuild b/dev-python/frozenlist/frozenlist-1.4.0.ebuild
new file mode 100644
index 000000000000..024a19cb9364
--- /dev/null
+++ b/dev-python/frozenlist/frozenlist-1.4.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A list-like structure which implements collections.abc.MutableSequence"
+HOMEPAGE="
+ https://pypi.org/project/frozenlist/
+ https://github.com/aio-libs/frozenlist/
+"
+SRC_URI="
+ https://github.com/aio-libs/frozenlist/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' pytest.ini || die
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ # pypy is not using the C extension
+ if [[ ${EPYTHON} == python* ]]; then
+ > .install-cython || die
+ emake cythonize
+ fi
+}
diff --git a/dev-python/jaraco-itertools/Manifest b/dev-python/jaraco-itertools/Manifest
index 7b0b77ea1a5a..d1f091cb5096 100644
--- a/dev-python/jaraco-itertools/Manifest
+++ b/dev-python/jaraco-itertools/Manifest
@@ -1 +1,2 @@
DIST jaraco.itertools-6.2.1.tar.gz 16813 BLAKE2B 7bf4b3818bcf66ad49643aaa1c606953d8d920c970fa4a4159796c042a1d5b77e53240e8a260b24b337cd65398758d2392fe2a5f73cf784aeeac9b4d0a128181 SHA512 7b4c27143848d899472a9ce207819062719adbef2cf038754c9236fee7da39f62238b85f8d83bdc41bf5a37e8d102e79dd4afbc6efa46c2d7c7ca04c032c67d3
+DIST jaraco.itertools-6.4.1.tar.gz 18202 BLAKE2B f384e7bdbe6068ed85a19e12aeae2ac0ca4bea52a4c3f4840a7ce258440c0a73c0f9f6928be59a1db2f2bef887710a95c423cbf1854bd0e58f068bd4fd833d08 SHA512 57c3ce37d1fb39c7140fc0581bbeacd75479ae1c375af4041144d41bf184299898069418e046f21872c290708ccb44728d1111cb3cfffac4a1d703f1cb86a70a
diff --git a/dev-python/jaraco-itertools/jaraco-itertools-6.4.1.ebuild b/dev-python/jaraco-itertools/jaraco-itertools-6.4.1.ebuild
new file mode 100644
index 000000000000..c33949866915
--- /dev/null
+++ b/dev-python/jaraco-itertools/jaraco-itertools-6.4.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Tools for working with iterables. Complements itertools and more_itertools"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.itertools/
+ https://pypi.org/project/jaraco.itertools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/inflect[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-1.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jaraco-itertools/metadata.xml b/dev-python/jaraco-itertools/metadata.xml
index e00bd4244b55..2a616e92ca0f 100644
--- a/dev-python/jaraco-itertools/metadata.xml
+++ b/dev-python/jaraco-itertools/metadata.xml
@@ -6,7 +6,6 @@
<name>Python</name>
</maintainer>
<upstream>
- <changelog>https://github.com/jaraco/jaraco.itertools/blob/master/CHANGES.rst</changelog>
<bugs-to>https://github.com/jaraco/jaraco.itertools/issues</bugs-to>
</upstream>
<origin>gentoo-staging</origin>
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 437d4e4e0a8e..110888e9cff7 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1,2 +1,3 @@
DIST jsonschema-4.17.3.tar.gz 297785 BLAKE2B a0383bf5612ae50e94c95dbc1774d796b62c74a7aae3056a40edb7e042ad07fd7885e61d86220120a906a4017afe30d8ee8edbbf0cf01a6dec1f212984ff1c1e SHA512 626fc913c37d2e49e4b47c9e058aab4a96c1dc50c35d8def0b2ea0ca464dc25e3318d4fde4927c11ca38068743cd81779d5189464b821407ac1de1788bad30e2
DIST jsonschema-4.18.0.tar.gz 315551 BLAKE2B 0f885362b6c1af6385be88770b1f332f38e270ea48c81d2ab6ab37503b007bf2d7a3419c9d435e919fea7c6f6d4b3d1c84a5fd4f196237507c9803473a879f4d SHA512 83eee5a752f14475b32405a916790f033eaeb4cc4b69625abb4915972e5832878a0aa2c51c5c782169bfef5537f3072bd41682e2752380435f7de1162e66f4c1
+DIST jsonschema-4.18.2.tar.gz 314916 BLAKE2B 4e63e56ea34b0f315e0ee6e506157c294030e181aa6f06d523d70b24060618f9cf7cfaf6d3c6ef4fc93950dd42b628f62a488c3636cbe636e463b8a31b661a3a SHA512 38e2fb03836b8021c5f3a4db4e8d98922d565ae8bb2843cbb9b93b8be26f003b356c635d6b00d9881fcd438ed5a5304536fcad4acbc69d1de51c838cc3cd217a
diff --git a/dev-python/jsonschema/jsonschema-4.18.2.ebuild b/dev-python/jsonschema/jsonschema-4.18.2.ebuild
new file mode 100644
index 000000000000..365b2da8d977
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.18.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema/
+ https://github.com/python-jsonschema/jsonschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2023.03.6[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.4[${PYTHON_USEDEP}]
+ >=dev-python/rpds-py-0.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uri_template[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+ # fragile warning tests
+ jsonschema/tests/test_deprecations.py
+ # wtf?
+ jsonschema/tests/test_jsonschema_test_suite.py::test_suite_bug
+)
diff --git a/dev-python/lxml/Manifest b/dev-python/lxml/Manifest
index 89c06d36e73b..5b7a6edd4e46 100644
--- a/dev-python/lxml/Manifest
+++ b/dev-python/lxml/Manifest
@@ -1,2 +1,2 @@
DIST lxml-4.9.2.gh.tar.gz 957365 BLAKE2B 201b3977da90386e413f1b89a4b7ee1e44d6bbea05e622e92feb1d67c637ce46ebf746f0648f034ed3bccd609233ccf7d8a7ee456f13b8d9ca8587ddf1ebd32a SHA512 816b2fe2eef2a97a0df66cbc39850c6dc3d6470e4033cc73edb40c80c0afbbe6c084d042d7c98b29497926e76f648caa42e1ebe5d83060af08af6972316077b0
-DIST lxml-4.9.3.gh.tar.gz 958614 BLAKE2B 885ed89a7fbf3fedbcdf510652cd44a106d2be8eaf7c19f59ad13f0ded986bb40837894af5d31ea5d046fec56752891baacdef6249dbc62319191b9b2930e2a2 SHA512 74d40cbd02fc0329b789274b544af296edcb99e4c1a544dfbb7a90fdbe3e23b2621c5dfe7be3970f43c98cdd3d9bef9d5792c68db4648c2a12884b8104e1e1dc
+DIST lxml-4.9.3.gh.tar.gz 958628 BLAKE2B ffdf3fe781a03815f7c026229d313721c93375ebafad9b4a20c5d8a380a631401e546d8701a94d8c49615fb6a71e84940d8ca0299b47a37c1c9596db36659113 SHA512 903bd4935c7708b459aee9befcf3f6e3e3aaa9adc122591ea923b6e3d8fd288f07cab3f5f0edb08e3bf9db80414324f0a1a8e5a5089f9cda82f6c50f5df59423
diff --git a/dev-python/pdm-backend/Manifest b/dev-python/pdm-backend/Manifest
index d6d6c500e352..308fcfaf0367 100644
--- a/dev-python/pdm-backend/Manifest
+++ b/dev-python/pdm-backend/Manifest
@@ -2,3 +2,4 @@ DIST pdm-backend-2.1.0.gh.tar.gz 134050 BLAKE2B 941795a8e108442d8ab651cee2c87f72
DIST pdm-backend-2.1.1.gh.tar.gz 134089 BLAKE2B a92d29b3d5f32e0bfbf407f354ba672922feb833ad2078857244a40fac7be210c5ba93810d6db7c0edd7fe874f7c9bcb9bd902dde5aa255c2b682855c9a00eed SHA512 710a574822beffad0ff3e812afa69a13878ada8ec10092d4c2f47c37345118dc972ea12fef7b26a835e9d76c774134dfad6fb77902c1755df072ef5acc7160a4
DIST pdm-backend-2.1.2.gh.tar.gz 134069 BLAKE2B 425a43c7a7e47209caeec8fd44fde9734c9a79af5703fc668858f655b0783dbfaf934344a3e5f6b85fa59fe3122d2212890c1da615f331a5529e2619ee45c42f SHA512 a0d61ead5761d5c4558d486bed0249ec7fdcb9f48eac00ba87a97b8c32e28bf6ebe1d2ec840b049440864b68df997285c446922d6712226f4bd458f291567d00
DIST pdm-backend-2.1.3.gh.tar.gz 134133 BLAKE2B 5bead9ac6b5bf2da9479afc923875991ab7de556a15a14584d98bb7c3dcb34788d2f7284c588a29881898536b3a7e9238d75674f75291a0a1acf4c73483c0b5b SHA512 75b13af45636af34e91dcf6e10c0699433dc5fe65a7697dfa68a74af4802c7d4ced97ee4808763660f22556bc53a0bdb71fa04be4340050ec5baf75b3af6e97c
+DIST pdm-backend-2.1.4.gh.tar.gz 134278 BLAKE2B 38e52761d54cab96727d5015e41de76cd6d7eb6dbd02829ed2ddeeb2e2d64d42a0eb6bb09e055362e1dd181d9e7781ed9f9abcb2f96de342cd5780e1f21a8708 SHA512 4833819f8828f5e2ff204ca18478704d8d66c977c747f9b550dc1ecfee57a8adbfcddaea6dded8d8ea0c0e0c7745e0704e12acae30d183cb27cf4c1fad331791
diff --git a/dev-python/pdm-backend/pdm-backend-2.1.4.ebuild b/dev-python/pdm-backend/pdm-backend-2.1.4.ebuild
new file mode 100644
index 000000000000..6f17199db7ac
--- /dev/null
+++ b/dev-python/pdm-backend/pdm-backend-2.1.4.ebuild
@@ -0,0 +1,71 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
+HOMEPAGE="
+ https://pypi.org/project/pdm-backend/
+ https://github.com/pdm-project/pdm-backend/
+"
+SRC_URI="
+ https://github.com/pdm-project/pdm-backend/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-22.0[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-metadata-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+ $(python_gen_cond_dep '
+ >=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
+ ' 3.9)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+# setuptools are used to build C extensions
+RDEPEND+="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r src/pdm/backend/_vendor || die
+ find -name '*.py' -exec sed \
+ -e 's:from pdm\.backend\._vendor\.:from :' \
+ -e 's:from pdm\.backend\._vendor ::' \
+ -e 's:import pdm\.backend\._vendor\.:import :' \
+ -i {} + || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ # this must not be set during src_test()
+ local -x PDM_BUILD_SCM_VERSION=${PV}
+ distutils-r1_src_compile
+}
+
+src_test() {
+ git config --global user.email "test@example.com" || die
+ git config --global user.name "Test User" || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/pytest-asyncio/Manifest b/dev-python/pytest-asyncio/Manifest
index 4c54b25352cc..416fd0dbfdb6 100644
--- a/dev-python/pytest-asyncio/Manifest
+++ b/dev-python/pytest-asyncio/Manifest
@@ -1 +1,2 @@
DIST pytest-asyncio-0.21.0.tar.gz 29898 BLAKE2B 6455e59a2e28ddbefd54e4c16970d36d22a674406fbc0e352e9886af3a7a51a0ae4a8ce32e01d076e2411f0501548092dfbe3150d87c14cb5e5eb71966bcb743 SHA512 ce557e5f15f3ae745804f4484d590a9f673d76f0c67c2e8ab444e1b17a4ae5ea6021bf55d7ef905643bfbcded6299f207a386fb4dc05ddf20ade25e6618a9773
+DIST pytest-asyncio-0.21.1.tar.gz 30492 BLAKE2B 6a17f9ba89b8181b5fb734af6d0c0904a828156e63df910b4fe4adb9b93e240266063dcca8d97c8f9d784c6d5111796949fe32bb2832921919e41398ccffc155 SHA512 3aef14bade1dddab4320450d60c6909a76c7cf334d8225ad155b474b042d1c692edc5b567fb86ecf6b3453746105c3cecce86d2c6ff5cf6652d5147a8532cfd0
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-0.21.1.ebuild b/dev-python/pytest-asyncio/pytest-asyncio-0.21.1.ebuild
new file mode 100644
index 000000000000..db66cdb7b65b
--- /dev/null
+++ b/dev-python/pytest-asyncio/pytest-asyncio-0.21.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for testing asyncio code with pytest"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-asyncio/
+ https://pypi.org/project/pytest-asyncio/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pytest-5.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on precise warning counts
+ tests/test_pytest_min_version_warning.py
+ tests/modes/test_legacy_mode.py
+ tests/trio/test_fixtures.py::test_strict_mode_ignores_trio_fixtures
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_fixture_leaves_loop_unclosed
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_test_leaves_loop_unclosed
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_asyncio.plugin,_hypothesis_pytestplugin,flaky.flaky_pytest_plugin
+ epytest
+}
diff --git a/dev-python/rapidfuzz/rapidfuzz-3.0.0.ebuild b/dev-python/rapidfuzz/rapidfuzz-3.0.0-r1.ebuild
index a305db9c5403..929db9242127 100644
--- a/dev-python/rapidfuzz/rapidfuzz-3.0.0.ebuild
+++ b/dev-python/rapidfuzz/rapidfuzz-3.0.0-r1.ebuild
@@ -23,6 +23,7 @@ KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86"
# all these are header-only libraries
DEPEND="
>=dev-cpp/taskflow-3.0.0
+ <dev-cpp/rapidfuzz-cpp-2
>=dev-cpp/rapidfuzz-cpp-1.11.2
dev-python/numpy[${PYTHON_USEDEP}]
"
diff --git a/dev-python/trio/Manifest b/dev-python/trio/Manifest
index 83bd2f42075a..6810113e47bb 100644
--- a/dev-python/trio/Manifest
+++ b/dev-python/trio/Manifest
@@ -1,2 +1,3 @@
DIST trio-0.22.1.gh.tar.gz 536365 BLAKE2B a2b8b672de5ffed99cb2d93888414526749a836dcb4a5101f6de9358c2e231fec56bd7fd80ff2300489931f8b516265ff0881bbde8721c09eed6f48eabcf2f8c SHA512 28f3248627dcfa06333ec41f17b7419f1192dd0f041ae56f78582a2a781875805e55981a62a1dc2dba191460a67d03e89f0497bb98ef265a37842aae93488be1
+DIST trio-0.22.2.gh.tar.gz 536949 BLAKE2B f469f306d826d110defabf14956bdfe390a0f36da16da7e6e0426573cc9faf8943514b67a22fa44463c35f1e02c61c4aa3fd8da6bc408339a77367953fc62be0 SHA512 c3f08b8a1a37c0a06e520c7c5cf6ab5ffa2366c0e8599ae831e896e79bb144ee13ea426c8e6d8278f4620eae15c3c3af6c46c8b4526147336e30050bbf111120
DIST trio-93c1d96a535cca565e1b1ba552cb9c4798b3f852.gh.tar.gz 528405 BLAKE2B b6db1413259c7aa4aa9055eb8d0d810ca7866e312ed81395c7bd2d69cad56dec9cd1422513ee4018077eca0a3b55b4fe74178d4af3599e8ba8b7ad124d820066 SHA512 e5bdc6f918cac8d8eed5d459cfed368336eec301890bd6b579bdf3b2bca7d78246b5b06fb6259fadba0fef45b782e8b03c85884b96d8a961056f7720cd28b944
diff --git a/dev-python/trio/trio-0.22.2.ebuild b/dev-python/trio/trio-0.22.2.ebuild
new file mode 100644
index 000000000000..0e637c86e459
--- /dev/null
+++ b/dev-python/trio/trio-0.22.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for async concurrency and I/O"
+HOMEPAGE="
+ https://github.com/python-trio/trio/
+ https://pypi.org/project/trio/
+"
+SRC_URI="
+ https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-20.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc9[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/outcome[${PYTHON_USEDEP}]
+ dev-python/sniffio[${PYTHON_USEDEP}]
+ dev-python/sortedcontainers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/astor-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/immutables-0.6[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+ dev-python/immutables \
+ dev-python/sphinxcontrib-trio \
+ dev-python/sphinx-rtd-theme \
+ dev-python/towncrier
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these tests require internet access
+ trio/tests/test_ssl.py
+ trio/tests/test_highlevel_ssl_helpers.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Times out on slower arches (ia64 in this case)
+ # https://github.com/python-trio/trio/issues/1753
+ trio/tests/test_unix_pipes.py::test_close_at_bad_time_for_send_all
+
+ # incompatible ipython version?
+ trio/_core/tests/test_multierror.py::test_ipython_exc_handler
+ )
+ if [[ ${EPYTHON} == python3.12 ]]; then
+ EPYTEST_DESELECT+=(
+ trio/_core/_tests/test_run.py::test_nursery_cancel_doesnt_create_cyclic_garbage
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p trio._tests.pytest_plugin -m "not redistributors_should_skip"
+}
diff --git a/dev-python/zipp/Manifest b/dev-python/zipp/Manifest
index 97ac779616c7..0982e59c6349 100644
--- a/dev-python/zipp/Manifest
+++ b/dev-python/zipp/Manifest
@@ -1,2 +1,3 @@
DIST zipp-3.15.0.tar.gz 18454 BLAKE2B 759c9be6cdf6297874ed8d7cc98e8fc7c360bb765b72b345b264034f43a63831b92daa31a4d40736cc83a12b5f853d17da7fae290cb62a87ac6552edfcaca913 SHA512 74a512428fa29e284c515a7e6c45030e4d840727e12e376bca480a90b7fd1e111462deafa372ca9aebd9f53c24bc37111570e7a4a6a873c0b7dee9a0277c100d
DIST zipp-3.16.0.tar.gz 18432 BLAKE2B b9f9f016f6f6bc87610fa4338dcbd237b09623cb5da20761e5a6f4e06bc694b6e5fd219681e12468b76b2ebf590f3ea1adfa066dfdf49caf4aecee30f73a4c19 SHA512 f83eb32a28a1f3acf49ade075e8390f89912d1a058cf514432c06efc1963d2a40d78051a6f7963fcdaee3dcf38e327a48a4eef15e5f3ac0db4a9590d6061ccdf
+DIST zipp-3.16.1.tar.gz 19194 BLAKE2B 7428764465674f356881d91216386c8f8495f613d7b0e457bbd77e662b958aae7d2fff65afb8afbfadbe31285edd26858272f1501a27f7378dea3b8b866922df SHA512 e1f8d03c8b8c49e4745e03b65e32c9b76bb4e7c87e24304af630e8875843ad4cfc12f46f5dce3f210698a9e9a5f58be251eafed83893128657d8cb23c11066d0
diff --git a/dev-python/zipp/zipp-3.16.1.ebuild b/dev-python/zipp/zipp-3.16.1.ebuild
new file mode 100644
index 000000000000..5f8da45fe22f
--- /dev/null
+++ b/dev-python/zipp/zipp-3.16.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Backport of pathlib-compatible object wrapper for zip files"
+HOMEPAGE="
+ https://github.com/jaraco/zipp/
+ https://pypi.org/project/zipp/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+# big_o is only used in test_complexity, that we ignore
+BDEPEND="
+ test? (
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/jaraco-itertools[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # performance tests are flaky by design
+ tests/test_complexity.py
+)
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "zipp"
+ version = "${PV}"
+ description = "Backport of pathlib-compatible object wrapper for zip files"
+ EOF
+}